org.eclipse.jetty.websocket

## Class IdentityExtension

- java.lang.Object
- - org.eclipse.jetty.websocket.AbstractExtension
  - - org.eclipse.jetty.websocket.IdentityExtension

All Implemented Interfaces:
  Extension, WebSocketGenerator, WebSocketParser.FrameHandler

    public class IdentityExtension
    extends AbstractExtension

### Constructor Summary

Constructors
Constructor and Description
`IdentityExtension()`

### Method Summary

### Methods inherited from class org.eclipse.jetty.websocket.AbstractExtension

`addFrame, bind, clearFlag, close, flush, getConnection, getInitParameter, getInitParameter, getInitParameter, getName, getParameterizedName, init, isBufferEmpty, isFlag, onFrame, setFlag, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IdentityExtension

    public IdentityExtension()